Bug 65756 - can not upgrade from RH 6.2 to RH 7.2/7.3
can not upgrade from RH 6.2 to RH 7.2/7.3
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
athlon Linux
high Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-05-31 08:03 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-09 00:44:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-31 08:03:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.14-5.0 i686)

Description of problem:
When tryed to upgrade from RH 6.2 to 7.2 or RH 7.3. I am getting the message
"You can not upgrade. There is no valid file system". I have dual boot computer
with two identical hard drives(maxtor 27 GB each). The vfat system is one of
them and  and the other has 150 MB of vfat and about 27 GB of ext2. I already
tryed boot image downloaded from your site and it does not make any difference.
If I tryed to install insted of upgrading I can get to the screen where disk
druid shows that there is only one hard drive with vfat file system. The fdisk
shows all hard drives and all file systems. The RH 7.1 can be used to upgrade
with no problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.upgrading from rh6.2 to rh7.2/7.3

Actual Results:  message : no valid file system

Expected Results:  should upgrade

Additional info:
Comment 1 Michael Fulbright 2002-06-04 10:35:07 EDT
What does your /etc/fstab look like?
Comment 2 Michael Fulbright 2002-07-15 12:47:23 EDT
Closing due to inactivity. Please reopen if you have additional information to
add to this report.
Comment 3 Need Real Name 2003-01-16 10:54:25 EST
I've tryed RH 8.0 with the same results. Can not upgrade because of invalid file
system. I did send you my fstab. If you need more info please let me know.
Comment 4 Need Real Name 2003-01-16 15:29:18 EST
/dev/hdb7               /                       ext2    defaults        1 1
/dev/hdb2               /boot                   ext2    defaults        1 2
/dev/hdb6               /home                   ext2    defaults        1 2
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
#/dev/cdrom1             /mnt/cdrom1             iso9660 noauto,owner,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/hdb8               swap                    swap    defaults        0 0
/dev/hda1               /mnt/dosc               vfat    rw,umask=0      0 0
/dev/hdb5               /mnt/dosd               vfat    rw,umask=0      0 0
/dev/cdrom1             /mnt/cdrom1             iso9660 noauto,owner,kudzu,ro 0
above is my fstab file
Comment 5 Need Real Name 2003-01-28 10:47:22 EST
I also tried to instal with automatic partition option. The installer sent a
warning message: The hdb drive needs to be initialze. The file system on hdb
drive is not readable. The RH 7.1 and fdisk can read this file system, but
starting from RH 7.2 and above the installer has a problem reading it.
Comment 6 Michael Fulbright 2003-01-30 15:27:14 EST
This would appear to correspond to our move to using parted.  Reassigning.
Comment 7 Jeremy Katz 2003-07-09 00:44:08 EDT
Should be better with our current codebase

Note You need to log in before you can comment on or make changes to this bug.